Bug 3177 - AggregatingServiceGroup EntrySweeper interval needs to be user configurable
: AggregatingServiceGroup EntrySweeper interval needs to be user configurable
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: development
: All All
: P3 minor
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-04-14 19:17 by
Modified: 2005-07-20 16:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-14 19:17:19
The AggregatingServiceGroup sweeper interval should be user configurable.  
Currently it defaults to 5 minutes.
------- Comment #1 From 2005-06-02 00:07:13 -------
I've committed code in CVS HEAD to address this.  The EntrySweeper interval is 
now configurable by specifying a value in milliseconds in the 
AggregatorConfiguration JNDI bean.  

The default value if nothing is found in the jndi-config.xml file is still 
300000 milliseconds (5 minutes).

An example config fragment follows:

<parameter>
  <name>entrySweeperInterval</name>
  <value>120000</value>
</parameter> 


------- Comment #2 From 2005-07-20 16:39:39 -------
Fixed for 4.0.1